class LiveLikeWidget {
  String? program_id;
  String? created_at;
  String? scheduled_at;
  int? engagement_count;
  String? publish_delay;
  String? rewards_url;
  String? schedule_url;
  String? timeout;
  int? impression_count;
  String? engagement_percent;
  String? program_date_time;
  String? id;
  String? published_at;
  int? unique_impression_count;
  String? question;
  String? kind;
  String? subscribe_channel;
  String? url;
  String? cheer_type;
  String? impression_url;
  String? interaction_url;
  String? custom_data;
  String? text;
  String? status;
  String? image_url;
  String? link_url;
  String? link_label;
  String? text_prediction_id;
  String? image_prediction_id;
  String? text_prediction_url;
  String? correct_option_id;
  String? title;
  double? initial_magnitude;
  double? average_magnitude;
  String? vote_url;
  String? comment;
  List<String>? translatable_fields;
  List<Option>? options;
  List<Option>? choices;
  int? timeout_time;

  bool? show;

  LiveLikeWidget(
      {this.program_id,
      this.created_at,
      this.scheduled_at,
      this.engagement_count,
      this.publish_delay,
      this.rewards_url,
      this.schedule_url,
      this.timeout,
      this.impression_count,
      this.engagement_percent,
      this.program_date_time,
      this.id,
      this.published_at,
      this.unique_impression_count,
      this.question,
      this.kind,
      this.subscribe_channel,
      this.url,
      this.cheer_type,
      this.impression_url,
      this.interaction_url,
      this.custom_data,
      this.text,
      this.status,
      this.image_url,
      this.link_url,
      this.link_label,
      this.text_prediction_id,
      this.image_prediction_id,
      this.text_prediction_url,
      this.correct_option_id,
      this.title,
      this.initial_magnitude,
      this.average_magnitude,
      this.vote_url,
      this.comment,
      this.timeout_time,
      this.translatable_fields,
      this.options,
      this.choices});

  factory LiveLikeWidget.fromJson(Map<dynamic, dynamic> json) {
    print("LIK>>>${json}");
    return LiveLikeWidget(
      program_id: json["program_id"],
      created_at: json["created_at"],
      scheduled_at: json["scheduled_at"],
      engagement_count: json["engagement_count"],
      publish_delay: json["publish_delay"],
      rewards_url: json["rewards_url"],
      schedule_url: json["schedule_url"],
      timeout: json["timeout"],
      timeout_time: json["timeout_time"],
      impression_count: json["impression_count"],
      engagement_percent: json["engagement_percent"],
      program_date_time: json["program_date_time"],
      id: json["id"],
      published_at: json["published_at"],
      unique_impression_count: json["unique_impression_count"],
      question: json["question"],
      kind: json["kind"],
      subscribe_channel: json["subscribe_channel"],
      url: json["url"],
      cheer_type: json["cheer_type"],
      impression_url: json["impression_url"],
      interaction_url: json["interaction_url"],
      custom_data: json["custom_data"],
      text: json["text"],
      status: json["status"],
      image_url: json["image_url"],
      link_url: json["link_url"],
      link_label: json["link_label"],
      text_prediction_id: json["text_prediction_id"],
      image_prediction_id: json["image_prediction_id"],
      text_prediction_url: json["text_prediction_url"],
      correct_option_id: json["correct_option_id"],
      title: json["title"],
      initial_magnitude: json["initial_magnitude"],
      average_magnitude: json["average_magnitude"],
      vote_url: json["vote_url"],
      comment: json["comment"],
      translatable_fields: json["translatable_fields"] != null
          ? List.of(json["translatable_fields"])
              .map((i) => i.toString())
              .toList()
          : null,
      options: json["options"] != null
          ? List.of(json["options"]).map((i) => Option.fromJson(i)).toList()
          : null,
      choices: json["choices"] != null
          ? List.of(json["choices"]).map((i) => Option.fromJson(i)).toList()
          : null,
    );
  }
//

}

class Option {
  String? image_url;
  String? vote_url;
  String? id;
  String? description;
  List<String>? translatable_fields;
  int? vote_count;
  bool? is_correct;
  String? answer_url;
  int? answer_count;

  Option(
      {this.image_url,
      this.vote_url,
      this.id,
      this.description,
      this.translatable_fields,
      this.vote_count,
      this.is_correct,
      this.answer_url,
      this.answer_count});

  factory Option.fromJson(Map<dynamic, dynamic> json) {
    return Option(
      image_url: json["image_url"],
      vote_url: json["vote_url"],
      id: json["id"],
      description: json["description"],
      translatable_fields: json["translatable_fields"] != null
          ? List.of(json["translatable_fields"])
              .map((i) => i.toString())
              .toList()
          : null,
      vote_count: json["vote_count"],
      is_correct: json["is_correct"],
      answer_url: json["answer_url"],
      answer_count: json["answer_count"],
    );
  }
}
